Processing 1.0.1 + openJDK

Processing funciona de manera nativa con el jdk de sun, y para poder trabajar en 64bits y/o de una manera más “libre”, tendremos que instalar el openjdk. El jre no sirve, tiene que ser el entorno completo de desarrollo. Posteriormente tendremos que reemplazar la carpeta java con un link simbólico a la carpeta de instalación del jdk y listo.

Yo instalé el paquete java-1.6.0-openjdk-devel, que como lo mencioné entre líneas difiere del de sun, en que este es un jdk opensource.

Una vez instalado el jdk, se ubica la carpeta donde se instaló, generalmente los gestores gráficos de paquetes, como synaptic y adept, permiten ver los archivos instalados por dicho paquete, así podremos ubicar la carpeta raiz del jdk, que, para el caso del java-1.6.0-openjdk-devel sobre un Mandriva Free 2009 x86_64, se instaló en ‎/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64. Dentro de dicha carpeta tendrá que haber mímino una carpeta bin, una lib y una del jre.

Procederemos a borrar o mover la carpeta java del processing y hacer el link simbólico, para ello desde consola y como root.

rm -R /opt/processing-1.0.1/java
ln -s /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64 /opt/processing-1.0.1/java

y listo tendremos nuestro processing funcionando. No olvides que para ejecutarlo en caso de dar algún error prueba con:

cd /opt/processing-1.0.0 && ./processing

5 thoughts on “Processing 1.0.1 + openJDK

  1. Hola!

    Te cuento que he estado agregando algunas cosas nuevas a gsvideo, entre ellas un clase GSMovieMaker que finalmente funciona! Dentro de poco voy a hacer un nuevo release en sourceforge, pero si quieres ir probando he subido un zip preliminar a mi servidor.

    Por el momento, GSMovieMaker solamente soporta los codecs theora, x264 y xvid4. Un detalle importante en linux: no estoy seguro de que ubuntu incluya el elemento AppSrc, necesarios para que GSMovieMaker funcione, ya que hace unos meses atras todavia eran considerados inestables. Pero ya han sido incorporados en gst-plugins-base en el ultimo release de gstreamer.

  2. Sergio Esteban on

    que buena noticia Andrés, probaré en estos días la librería, precisamente esa es la utilidad que estaba esperando ansiosamente.

    Gracias!!!

  3. Ok, estuve haciendo unas pruebitas con el ubuntu 8.10 (con las ultimas actualizaciones de gstreamer instaladas) y la buena noticia es que GSMovieMaker funciona (con los codecs theora y xvid4, el x264 no genera archivos avi validos, pero me parece que esto es un problema con el elemento x264enc de gstreamer y no de gsvideo).

    Sin embargo, hay que hacer algunas actualizaciones a mano. El problema es que ubuntu todavia esta usando los modulos gst-plugins-base-0.10.21 y gst-plugins-bad-0.10.8, y la version del plugins App que viene en gst-plugins-bad-0.10.8 esta desactualizada y no funciona con gsvideo.

    Es mas, el paquete binario de gst-plugins-bad-0.10.8 de ubuntu ni siquiera incluye el plugin App (aunque si te bajas las fuentes de gst-plugins-bad-0.10.8 del sitio de gstreamer, viene con la version correspondiente de App). Los empaquetadores de ubuntu parece que decidieron dejar de lado el plugin App porque en ese momento todavia no estaba terminado.

    Pero el ultimo gst-plugins-base estable (0.10.22) trae al plugin App, lo cual indica que ya es considerado “terminado” por los desarrolladores de gstreamer. De hecho, esta es la version que estoy utilizando en windows y OSX. Sin embargo, ubuntu todavia no incluye gst-plugins-base-0.10.22, incluso me fije en los paquetes de la beta de 9.0.4 y todavia viene con 0.10.21.

    Una solucion es la siguiente: primero bajate las fuentes de gst-plugins-bad-0.10.8 y gst-plugins-base-0.10.22 del sitio de gstreamer. Luego reemplaza las fuentes de App en gst-plugins-bad con las que vienen en gst-plugins-base (fijate que App esta dividido en dos partes: gst-libs/gst/App y gst/App). Simplemente sobreescribe los archivos .c, .h y los makefiles.in y .am. Una vez hecho esto, haz un configure en gst-plugins-bad, utilizando como parametro –prefix=/usr (de lo contrario make install intentara copiar las librerias a /usr/local/lib en lugar de /usr/lib). Luego haz un make, y para terminar un make install, pero no de todo el modulo sino solamente de gst-libs/gst/App y gst/App.

    Una vez hecho todo esto, si ejecutas “gst-inspect | grep App” te tienen que aparecer los elementos AppSrc y AppSink. Y bueno, GSMovieMaker tendria que funcionar!

    Cuentame que tal te va, saludos!

  4. Anonymous on

    to get all requirements to build, you can do a:

    sudo apt-get build-dep gstreamer0.10-plugins-bad

  5. Pingback: OpenGL en Processing 64 bits | gnu-media

  6. Pingback: Processing 1.0.9 + OpenGL + GSVideo 0.6 + GNU/Linux AMD64 | gnu-media

Leave a Reply